### Method

# Gtk IconPaintable is_symbolic

#### Declaration [src]

    gboolean
    gtk_icon_paintable_is_symbolic (
      GtkIconPaintable* self
    )

#### Description [src]

Checks if the icon is symbolic or not.

This currently uses only the file name and not the file contents for determining this. This behaviour may change in the future.

Note that to render a symbolic `GtkIconPaintable` properly (with recoloring), you have to set its icon name on a `GtkImage`.

Gets property | `Gtk.IconPaintable:is-symbolic`

#### Return value

Returns: | `gboolean`
| `TRUE` if the icon is symbolic, `FALSE` otherwise.